Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5VL_map_args_t Union Reference

`#include <src/H5Mpublic.h>`

## Detailed Description

Parameters for map operations

## Data Fields
struct { |
hid_t key_type_id |
hid_t lcpl_id |
H5VL_loc_params_t loc_params |
void * map |
hid_t mapl_id |
hid_t mcpl_id |
const char * name |
hid_t val_type_id |
} | create |
struct { |
bool exists |
const void * key |
hid_t key_mem_type_id |
} | exists |
struct { |
union { |
struct { |
hsize_t count |
} get_count |
struct { |
hid_t type_id |
} get_key_type |
struct { |
hid_t mapl_id |
} get_mapl |
struct { |
hid_t mcpl_id |
} get_mcpl |
struct { |
hid_t type_id |
} get_val_type |
} args |
H5VL_map_get_t get_type |
} | get |
struct { |
const void * key |
hid_t key_mem_type_id |
void * value |
hid_t value_mem_type_id |
} | get_val |
struct { |
H5VL_loc_params_t loc_params |
void * map |
hid_t mapl_id |
const char * name |
} | open |
struct { |
const void * key |
hid_t key_mem_type_id |
const void * value |
hid_t value_mem_type_id |
} | put |
struct { |
union { |
struct { |
const void * key |
hid_t key_mem_type_id |
H5VL_loc_params_t loc_params |
} del |
struct { |
hsize_t idx |
hid_t key_mem_type_id |
H5VL_loc_params_t loc_params |
H5M_iterate_t op |
void * op_data |
} iterate |
} args |
H5VL_map_specific_t specific_type |
} | specific |

## Field Documentation

## ◆ [union] [1/2]

union { ... } args

Parameters for each operation

## ◆ [union] [2/2]

union { ... } args

Parameters for each operation

## ◆ count

hsize_t count

Get number of key-value pairs in the map (OUT)

## ◆ [struct]

struct { ... } create

H5VL_MAP_CREATE

## ◆ [struct]

struct { ... } del

## ◆ exists [1/2]

bool exists

Flag indicating whether key exists in map (OUT)

## ◆ [struct] [2/2]

struct { ... } exists

H5VL_MAP_EXISTS

## ◆ [struct]

struct { ... } get

H5VL_MAP_GET

## ◆ [struct]

struct { ... } get_count

H5VL_MAP_GET_COUNT

## ◆ [struct]

struct { ... } get_key_type

H5VL_MAP_GET_KEY_TYPE

## ◆ [struct]

struct { ... } get_mapl

H5VL_MAP_GET_MAPL

## ◆ [struct]

struct { ... } get_mcpl

H5VL_MAP_GET_MCPL

## ◆ get_type

H5VL_map_get_t get_type

'get' operation to perform

## ◆ [struct]

struct { ... } get_val

H5VL_MAP_GET_VAL

## ◆ [struct]

struct { ... } get_val_type

H5VL_MAP_GET_VAL_TYPE

## ◆ idx

hsize_t idx

Start/end iteration index (IN/OUT)

## ◆ [struct]

struct { ... } iterate

## ◆ key

const void* key

Pointer to key

## ◆ key_mem_type_id

hid_t key_mem_type_id

Memory datatype for key

## ◆ key_type_id

hid_t key_type_id

Datatype for map keys

## ◆ lcpl_id

hid_t lcpl_id

Link creation property list for map

## ◆ loc_params

H5VL_loc_params_t loc_params

Location parameters for object

## ◆ map

void* map

Pointer to newly created map object (OUT)

## ◆ mapl_id

hid_t mapl_id

Map access property list

Get map access property list ID (OUT)

## ◆ mcpl_id

hid_t mcpl_id

Map creation property list

Get map creation property list ID (OUT)

## ◆ name

const char* name

Name of new map object

## ◆ op

H5M_iterate_t op

Iteration callback routine

## ◆ op_data

void* op_data

Pointer to callback context

## ◆ [struct]

struct { ... } open

H5VL_MAP_OPEN

## ◆ [struct]

struct { ... } put

H5VL_MAP_PUT

## ◆ [struct]

struct { ... } specific

H5VL_MAP_SPECIFIC

## ◆ specific_type

H5VL_map_specific_t specific_type

'specific' operation to perform

## ◆ type_id

hid_t type_id

Get datatype ID for map's keys (OUT)

Get datatype ID for map's values (OUT)

## ◆ val_type_id

hid_t val_type_id

Datatype for map values

## ◆ value [1/2]

void* value

Buffer for value (OUT)

## ◆ value [2/2]

const void* value

Pointer to value

## ◆ value_mem_type_id

hid_t value_mem_type_id

Memory datatype for value

The documentation for this union was generated from the following file:

- src/H5Mpublic.h